Subject: RE: [Sip] draft-petithuguenin-sip-outbound-fragmentation-01

From: "STURA, Marco, VF-IT" <[email-masked]>
Date: Fri, 5 Jan 2007 18:03:30 +0100

>SIP didn't create the problem.  The ISPs who didn't deploy IPv6, the >vendors who sold NAT boxes and especially people who does not understand >the end to end argument created the problem.

Oh yes! I fully agree on this analysis. For instance deploying IPv6 would have had much lower cost and complexity at the end than all these solutions we need to workaround and stuff would have worked nicely and smoothly probably faster......but creating problems often justify things that otherwise won't be necessary and so here we are :-)

-----Original Message-----
From: Marc Petit-Huguenin [mailto:[email-masked]] 
Sent: venerdì 5 gennaio 2007 17.33
To: Frank W. Miller
Cc: [email-masked]; 'Juha Heinanen'
Subject: Re: [Sip] draft-petithuguenin-sip-outbound-fragmentation-01

Frank W. Miller wrote:
> 
> With all due respect to everyone, I would like to echo and amplify this.
> The entire direction of the SIP spec lately, outbound, ice, etc. have really
> become overly complex.  I think a concerted effort to take a step back and
> simplify things would benefit the entire community.

"For every complex problem, there is a solution that is simple, neat,
and wrong." H.L. Mencken (1880-1956)

SIP didn't create the problem.  The ISPs who didn't deploy IPv6, the
vendors who sold NAT boxes and especially people who does not understand
the end to end argument created the problem.

> 
> Thanks,
> FM
> 
> 
> -----Original Message-----
> From: Juha Heinanen [mailto:[email-masked]] 
> Sent: Friday, January 05, 2007 7:34 AM
> To: Marc Petit-Huguenin
> Cc: [email-masked]
> Subject: Re: [Sip] draft-petithuguenin-sip-outbound-fragmentation-01
> 
> Marc Petit-Huguenin writes:
> 
>  > > 1. Proxy receives such a big SIP request that it can not pass it
>  > >    to the UA via the persistent UDP flow
>  > > 2. Consequently the proxy will send ForceTCP message to the UA
>  > > 3. The UA will open a temporary TCP connection towards the proxy
>  > > 4. The UA will send a GetToken request to the proxy over the TCP
>  > >    connection
>  > > 5. The proxy will respond GetToken with a new flow token assigned
>  > >    to the TCP flow
>  > > 6. UA will store this new TCP flow token and associate it with the
>  > >    UDP flow
>  > > 7. UA will respond to the ForceTCP message returning the flow token
>  > >    of the TCP flow to the proxy
>  > > 8. Based on the response from the UA the proxy can now re-map the
>  > >    big SIP request from UDP flow to the new TCP flow and forward
>  > >    it to the UA
> 
> you must be joking.  looks like ietf folks are living in an extremely
> complex surrealistic world.
> 
> -- juha
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip